petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatGetDM

Gets the DM defining the data layout of the matrix

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode MatGetDM(Mat A, DM *dm)

Not collective Many br

### Input Parameter

A - The Mat Many br

### Output Parameter

dm - The DM Many br

Many br

### See Also

MatSetDM(), DMCreateMatrix(), DMSetMatType()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages